Package org.apache.solr.client.solrj.response

## Class Suggestion

- java.lang.Object
- - org.apache.solr.client.solrj.response.Suggestion

    public class Suggestion
    extends Object

This class models a Suggestion coming from Solr Suggest Component. It is a direct mapping fo the Json object Solr is returning.

### Constructor Summary

Constructors
`Suggestion​(String term, long weight, String payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`String` `getPayload()`
`String` `getTerm()`
`long` `getWeight()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Suggestion

    public Suggestion​(String term,
                      long weight,
                      String payload)

### Method Detail

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getTerm

    public String getTerm()

#### getWeight

    public long getWeight()

#### getPayload

    public String getPayload()